'use strict';
const React = require('react');

export default class AlertBox extends React.Component {

  render() {
    const {type, title} = this.props;
    return (
      <div className={classNames("alert-box", `alert-box-${type}`, this.props.className)}>
        {title && <div className="alert-box-title">{title}</div>}
        {this.props.children}
      </div>
    )
  }

}

AlertBox.PropTypes = {
  type: React.PropTypes.oneOf(['info', 'error', 'warning']),
  title: React.PropTypes.string
};

AlertBox.defaultProps = {
  type: 'info'
};
