'use strict';

const React = require('react'),
  tredux = require('tredux');

import Paper from 'material-ui/Paper';
import CircularProgress from 'material-ui/CircularProgress';

class AppContent extends React.Component {

  renderLoading() {
    if (this.props.ui.booted) return;
    return (
      <CircularProgress className="content-loading" size={50}/>
    )
  }

  render() {
    const {ui} = this.props;
    return (
      <Paper zDepth={1} className={classNames({
        'app-content': true,
        'app-content-menu-opened': ui.menuOpened || ui.menuMinimized
      })}>
        {this.props.children}
        {this.renderLoading()}
      </Paper>
    )
  }
}

module.exports = tredux.connect((state) => {
  return {
    ui: state['core.ui']
  }
}, AppContent);
