/**
 * Created by zsoltmakai on 9/19/2016.
 */
'use strict';
const React = require('react'),
  tredux = require('tredux'),
  router = require('router');

import FontIcon from 'material-ui/FontIcon';

export default class AppIcon extends React.Component {


  renderIcon() {
    const localStyle = {
      fontSize: this.props.size
    };
    let color = this.props.color || '#BDBDBD',
      icon = this.props.icon || 'cloud';
    return (
      <FontIcon
        color={color}
        style={localStyle}
        className="material-icons">
        {icon}
      </FontIcon>
    )
  }

  render() {
    let hasImage = typeof this.props.image === 'string' && this.props.image !== '',
      localStyle = {};
    if(hasImage) {
      localStyle.backgroundImage = `url(${this.props.image})`;
      if(this.props.cover === false) {
        localStyle.backgroundSize = 'contain';
      }
    }
    return (
      <div className={classNames("app-icon-container", this.props.className)} style={this.props.style}>
        <div className="app-icon" style={localStyle}>
          {!hasImage ? this.renderIcon() : ""}
        </div>
      </div>
    )
  }
}

AppIcon.PropTypes = {
  icon: React.PropTypes.string,
  image: React.PropTypes.string,
  color: React.PropTypes.string
};

