'use strict';
import Snackbar from 'material-ui/Snackbar';
const tredux = require('tredux'),
  React = require('react');

module.exports = class AppToast extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
      open: false,
      type: '',
      message: ''
    };
  }

  componentDidMount() {
    this.listener = tredux.addListener('TOAST', (info) => {
      this.setState({
        open: true,
        type: info.type,
        message: info.message
      });
    });
  }
  componentWillUnmount() {
    this.listener.remove();
  }

  render() {
    return (
      <Snackbar
        ref="toastBar"
        style={{
        position: 'fixed',
        bottom: (this.state.open) ? 16 : 0
        }}
        className={classNames("toast", "toast-"+ (this.state.type || "hidden"))}
        open={this.state.open}
        message={this.state.message}
        autoHideDuration={4000}
        onRequestClose={() => {
        this.setState({
          open: false,
          message: '',
          type: null
          });
        }}
      />
    );
  }
};
