'use strict';
/**
 *
 */
const React = require('react');

import * as MuiChip from 'material-ui/Chip';
import Avatar from 'material-ui/Avatar';

export default class Chip extends React.Component {

  renderAvatar() {
    if (!this.props.image) return;
    return (
      <Avatar className="app-chip-avatar" src={this.props.image} size={32}/>
    );
  }

  render() {
    let props = Object.assign({}, this.props);
    if (props.onDelete && !props.disabled) {
      props.onRequestDelete = props.onDelete;
    }
    delete props.inline;
    delete props.image;
    delete props.onDelete;
    return (
      <MuiChip.default
        {...props}
        className={classNames("app-chip",
          {
            "is-disabled": this.props.disabled,
            "is-inline": !!this.props.inline,
            "has-avatar": !!this.props.image,
            "has-delete": !!props.onRequestDelete
          },
          this.props.className)}
      >
        {this.renderAvatar()}
        {this.props.children}
      </MuiChip.default>
    )
  }
}
Chip.PropTypes = {
  image: React.PropTypes.any,
  onDelete: React.PropTypes.func,
  onRequestDelete: React.PropTypes.any,
  inline: React.PropTypes.any
};
