'use strict';
/**
 * Dialog wrapper
 */
import Dialog from './Dialog';

const React = require('react');

export default class AppConfirm extends React.Component {

  render() {
    const actions = [];
    if (this.props.noButton !== false) {
      actions.push(<Dialog.Cancel
        label={this.props.no || "Cancel"}
        onTouchTap={this.props.onCancel}/>);
    }
    if (this.props.yesButton !== false) {
      actions.push(<Dialog.Button
        label={this.props.yes || "Confirm"}
        onTouchTap={this.props.onConfirm}
      />);
    }
    return (
      <Dialog
        modal={true}
        open={true}
        scroll={false}
        actions={actions}
        {...this.props}
      />
    )
  }
}

AppConfirm.PropTypes = {
  no: React.PropTypes.any,
  yes: React.PropTypes.any,
  onCancel: React.PropTypes.func,
  onConfirm: React.PropTypes.func
};
