'use strict';
const React = require('react');

import SearchIcon from 'material-ui/svg-icons/action/search';
import FilterListIcon from 'material-ui/svg-icons/content/filter-list';
import ClearIcon from 'material-ui/svg-icons/content/clear';
import IconButton from 'material-ui/IconButton';

class FilterIcon extends React.Component {

  constructor(props) {
    super(props);
    this.handleClick = this.handleClick.bind(this);
  }

  handleClick() {
    this.props.onSearch && this.props.onSearch();
  }

  render() {
    let Icon = SearchIcon;
    if (this.props.icon === 'filter') {
      Icon = FilterListIcon;
    } else if (this.props.icon === 'clear') {
      Icon = ClearIcon;
    }
    return (
      <IconButton
        className="app-filtrum-icon"
        onMouseDown={this.handleClick}
        disabled={this.props.disabled}
      >
        <Icon/>
      </IconButton>
    )
  }
}

FilterIcon.defaultProps = {
  icon: 'search'
};

FilterIcon.PropTypes = {
  onSearch: React.PropTypes.func,
  icon: React.PropTypes.oneOf(['search', 'filter', 'clear']),
  disabled: React.PropTypes.bool
};

module.exports = FilterIcon;
