'use strict';
const React = require('react');

import MoreVert from 'material-ui/svg-icons/navigation/more-vert';
import MoreHoriz from 'material-ui/svg-icons/navigation/more-horiz';
import IconButton from 'material-ui/IconButton';

class FilterToggle extends React.Component {

  constructor(props) {
    super(props);
    this.handleClick = this.handleClick.bind(this);
  }

  handleClick() {
    if (this._icon) this._icon.handleBlur();
    if (this.props.active) {
      return this.props.onToggle(false);
    }
    return this.props.onToggle(true);
  }

  render() {
    return (
      <div className={classNames("app-filtrum-toggle", {
        "app-filtrum-toggle-selected": this.props.selected
      })}>
        <IconButton
          disabled={this.props.disabled}
          disableTouchRipple={true}
          onMouseDown={this.handleClick}>
          {this.props.active ? <MoreHoriz/> : <MoreVert/>}
        </IconButton>
      </div>
    )
  }

}

FilterToggle.defaultProps = {
  selected: false
};

FilterToggle.PropTypes = {
  onToggle: React.PropTypes.func,
  selected: React.PropTypes.bool,
  active: React.PropTypes.bool
};

module.exports = FilterToggle;
