'use strict';

const React = require('react'),
  BaseFilter = require('./Base'),
  Search = require('./Search'),
  FilterIcon = require('./FiltrumIcon'),
  FilterToggle = require('./FiltrumToggle');

class SearchFilter extends BaseFilter {

  constructor(props) {
    super(props);
    this.type = 'search-filter';
  }

  componentDidMount() {
    let upd = {
      isFilterRendered: true
    };
    if (this.props.searchValue) {
      this.handleSearch(this.props.searchValue);
      upd.hasSearchText = true;
    }
    this.setState(upd);
  }

  render() {
    let items = this.getItems();
    return (
      <div className={this.getClassNames(items)} style={this.props.style}>
        <div className="app-filtrum-bar">
          {this._renderSearchField()}
          <FilterToggle
            disabled={items.length === 0}
            selected={this.isToggleActive()}
            active={this.state.isFilterVisible && items.length > 0}
            onToggle={this.handleFilterVisible}
          />
          <FilterIcon onSearch={this.filter}/>
        </div>
        {this._renderContentBlock(items)}
        {this._renderOverlay()}
      </div>
    );
  }

}

SearchFilter.defaultProps = Object.assign({
  filterOpened: false,
  canClear: true,
  labelClear: 'Clear',
  labelFilter: 'Filter'
}, Search.defaultProps);

SearchFilter.PropTypes = Object.assign({
  filterOpened: React.PropTypes.bool,
  labelClear: React.PropTypes.string,
  labelFilter: React.PropTypes.string,
  canClear: React.PropTypes.bool,
  onChange: React.PropTypes.func // the onChange(key, value) function
}, Search.PropTypes);

module.exports = SearchFilter;
