'use strict';

const React = require('react');
import {RadioButton, RadioButtonGroup} from 'material-ui/RadioButton';

class Radio extends React.Component {

  constructor(props) {
    super(props);
    this.handleChange = this.handleChange.bind(this);
  }

  handleChange(e) {
    if (!this.props.onChange) return;
    let val;
    try {
      let r = this.radio.refs.enhancedSwitch.state.switched;
      val = !r;
    } catch (e) {
    }
    this.props.onChange(val);
  }

  render() {
    let props = Object.assign({
      style: {}
    }, this.props);
    let isInline = !!props.inline;
    delete props.inline;
    delete props.onChecked;
    return (
      <RadioButton
        {...props}
        ref={(c) => this.radio = c}
        className={classNames("app-radio", {
          'display-inline': isInline,
          'checked': this.props.checked
        }, props.className)}
        onCheck={this.handleChange}
      />
    );
  }
}

Radio.PropTypes = {
  onChange: React.PropTypes.func,
  inline: React.PropTypes.boolean
};

Radio.Group = class RadioGroup extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
      selected: props.defaultSelected || props.value
    };
  }

  handleChange(child) {
    this.setState({
      selected: child.props.value
    }, () => {
      this.props.onChange && this.props.onChange(child.props.value);
    });
  }

  render() {
    let props = Object.assign({}, this.props);
    let children = props.children,
      radios = [];
    if (children instanceof Array) {
      for (let i = 0, len = children.length; i < len; i++) {
        let child = children[i],
          newProps = {
            onChange: this.handleChange.bind(this, child),
            ...child.props
          };
        if (this.state.selected === child.props.value) {
          newProps.checked = true;
        } else {
          newProps.checked = false;
        }
        let clone = React.cloneElement(children[i], newProps);
        radios.push(clone);
      }
    }
    delete props.children;
    delete props.defaultSelected;
    return (
      <div
        {...props}
        className={classNames('app-radio-group', props.className)}
        onChange={(e, val) => this.props.onChange && this.props.onChange(val)}
      >
        {props.name && (<input type="hidden" name={props.name} value={this.state.selected || ''}/>)}
        {radios}
      </div>
    )

  }
};

module.exports = Radio;
