'use strict';
const React = require('react');

import {
  Toolbar as MuiToolbar,
  ToolbarGroup as MuiToolbarGroup,
  ToolbarTitle as MuiToolbarTitle
} from 'material-ui/Toolbar';

/*
* PROPS:
*   - title
* */
export default class Toolbar extends React.Component {

  render() {
    return (
      <MuiToolbar className="app-toolbar">
        <MuiToolbarGroup>
          <MuiToolbarTitle
            style={this.props.style}
            className={classNames("app-toolbar-title", this.props.className)}
            text={this.props.title || 'Title'}
          />
          {this.props.toolbarContent ?
            <div className="app-toolbar-subtitle">{this.props.toolbarContent}</div>
            : ''}
        </MuiToolbarGroup>
        <MuiToolbarGroup className="app-toolbar-right">
          {this.props.children}
        </MuiToolbarGroup>
      </MuiToolbar>
    )
  }
};

Toolbar.PropTypes = {
  title: React.PropTypes.any,
  toolbarContent: React.PropTypes.any
};
