'use strict';
/**
 * Fatal application error.
 */
const React = require('react'),
  config = require('config'),
  Theme = require('./Theme');

import Paper from 'material-ui/Paper';
import Button from 'core/components/Button';

module.exports = class ConsoleError extends React.Component {

  componentDidMount() {
    let e = this.props.error;
    if (e.status !== 401) return;
    if (e.status === 403) {
      if (typeof config.login === 'string') {
        window.location = config.login;
      }
      return;
    }
  }

  renderSessionExpired(e) {
    return (
      <div>
        <h3>Your session has expired</h3>
      </div>
    )
  }

  renderError(e) {
    if (e.status === 401) return this.renderSessionExpired(e);
    return (
      <div style={{textAlign: 'center'}}>
        <h3 style={{marginTop: 0, textAlign: 'center'}}>{e.message}</h3>
        <p style={{textAlign: 'center'}}>
          If the error persists, please contact support.
        </p>
        <Button flat={true} href="/" label="Back home" data-redirect={true}/>
      </div>
    );
  }

  render() {
    const e = this.props.error;
    let style = {
      maxWidth: 800,
      minWidth: 500,
      padding: 16,
      margin: 16,
      display: 'inline-block'
    };
    return (
      <div style={{textAlign: 'center'}}>
        <Theme>
          <Paper className="console-error" style={style}>
            {this.renderError(e)}
          </Paper>
        </Theme>
      </div>
    )
  }
};
