'use strict';
/**
 * Created by Adrian on 14-Sep-16.
 */
const React = require('react'),
  tredux = require('tredux');

import LinearProgress from 'material-ui/LinearProgress';

module.exports = class AppLoading extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
      active: false,
      block: false
    };
  }

  componentDidMount() {
    this.listener = tredux.addListener('LOADING', (info) => {
      this.setState(info);
    });
  }

  componentWillUnmount() {
    this.listener && this.listener.remove();
  }

  render() {
    const {state} = this;
    if (!state.active) return (<div/>);
    return (
      <div className={classNames('app-content-overlay', {
        'is-blocked': state.block
      })}>
        <LinearProgress className="app-content-loading" mode="indeterminate"/>
      </div>
    )
  }
}
