'use strict';
/**
 * Country selection
 */
const React = require('react'),
  countries = require('tredux-material/countries');
import Select from '../components/Select';

export default class SelectCountry extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
      country: props.country || ''
    };
    this.handleChangeCountry = this.handleChangeCountry.bind(this);
  }

  componentWillUnmount() {
    this.destroyed = true;
  }

  componentWillReceiveProps(props) {
    let upd = {};
    if (typeof props.country === 'string') {
      upd.country = props.country;
    }
    if (this.destroyed) return;
    this.setState(upd);
  }

  handleChangeCountry(country) {
    this.setState({
      country: country
    }, () => {
      this.props.onChangeCountry && this.props.onChangeCountry(country);
    });
  }


  render() {
    let countryCode = this.state.country || '';
    let children = countries.map((country) => (
      <Select.Item key={country.code} value={country.code} primaryText={country.name}/>
    ));

    if (this.props.all) {
      children.splice(0, 1, <Select.Item key="all" value="ALL" primaryText="All countries"/>);
    }
    return (
      <Select
        title="Country"
        name="country"
        value={countryCode}
        onChange={this.handleChangeCountry}
        errorText={this.props.errorText}
        autoWidth={true}
      >
        {children}
      </Select>
    )
  }

}
SelectCountry.PropTypes = {
  country: React.PropTypes.any,
  onChangeCountry: React.PropTypes.func,
  all: React.PropTypes.any,
  errorText: React.PropTypes.any
};
