'use strict';
const React = require('react'),
  tredux = require('tredux');
const AppMenuItem = require('../components/AppMenuItem'),
  AppMenu = require('../components/AppMenu');


export default class Submenu extends React.Component {

  /*
  * Returns the items that we want to include in the submenu
  * If no item is included, we do not render it open.
  * */
  getItems() {
    let items = [];
    return items;
  }

  getItemsClassName() {
    return '';
  }

  /*
  * Returns the title we want to use. If no title, we do not render it
  * */
  getHeader() {
    return null;
  }

  /*
  * Returns the footer view. If nothing is returned, we do not render it.
  * */
  getFooter() {
    return null;
  }

  render() {
    let subView,
      items = this.getItems(),
      header = this.getHeader(),
      footer = this.getFooter();
    if (items instanceof Array && items.length > 0) {
      subView = <div>
        {header && <AppMenu.Header title={header}/>}
        {items && items.length > 0 && (
          <div ref={(c) => this.items = c} className={classNames("submenu-items", this.getItemsClassName())}>
            {items}
          </div>
        )}
        {footer && <AppMenu.Footer>{footer}</AppMenu.Footer>}
      </div>;
    }
    return (
      <div className={classNames("submenu-container", {
        "submenu-opened": !!subView
      })}>
        {subView}
      </div>
    );
  }
}

class SubmenuItem extends AppMenuItem.Component {
  constructor(props) {
    super(props);
    this.submenu = true;
  }
};
Submenu.Item = tredux.connect((state) => {
  return {
    ui: state['core.ui']
  };
}, SubmenuItem);
Submenu.Footer = AppMenu.Footer;
Submenu.Header = AppMenu.Header;
